Attribute VB_Name = "Declaration"
Option Explicit

Public Const NumOfServos As Integer = 12
Public Const NumMaxStep As Integer = 255    ' meno 1 ...
Public Const NumMaxSequence As Integer = 16
Public Const MaxFlashBytes As Integer = 24064

Public NumOfVisibleServos As Integer
Public ModificationFlag As Boolean
Public volt(0)  As Byte
Public Sequence(NumMaxStep, 13) As Long     ' <--- = NumOfServos + 1 + BreakPoints
Public SequenceByte(4096, 13) As Byte       ' <--- = NumOfServos + 2 Byte Time
Public SeqInterpolate(100, 12) As Long
Public NumFile As Integer
Public NumFileConfig As Integer
Public SwipTempIntex As Integer

Public ReadCounter As Long

Public ReadFlag As Boolean
Public WriteFlag As Boolean
Public ACKFlag As Boolean
Public AbortFlag As Boolean
Public EraseFlag As Boolean

Public Num_Sequence As Byte

Public Type Toc
   Tot_Bytes As Integer
   MaxStep(NumMaxSequence - 1) As Integer
   Offset(NumMaxSequence - 1) As Integer
End Type

Public Type ConfigVariables
   LabelCh(NumMaxSequence - 1) As String
   MaxConstrain(NumMaxSequence - 1) As Integer
   MinConstrain(NumMaxSequence - 1) As Integer
End Type

Public Config As ConfigVariables
Public SequenceName(NumMaxSequence - 1) As String

Public Type SingleSequence
   Step(NumMaxStep, 11) As Byte
   Time(NumMaxStep) As Integer
End Type

Public Type FlashData
   Index As Toc
   Seq(NumMaxSequence - 1) As SingleSequence
End Type

Public TotData As FlashData


Public Const SET_SERVO As Byte = 8     '00001000'      UPDATE DEL SERVOMOTORE
Public Const LOAD As Byte = 2          '_LOAD  =       B'00000010      ;
Public Const START_MOV As Byte = 3     '_START_MOV =   B'00000011'     ;
Public Const STOP_MOV As Byte = 4      '_STOP_MOV =    B'00000100'     ;
Public Const SPEED_MOV As Byte = 5     '_SPEED_MOV =   B'00000101'     ; UPDATE SPEED
Public Const DOWNLOAD As Byte = 6      '_DOWNLOAD  =   B'00000110      ;
Public Const ERASING As Byte = 7       '_ERASE  =      B'00000111      ;
Public Const TEST As Byte = 16         '_TEST  =       B'00010000      ;
Public Const RESET As Byte = 17        '_RESET  =      B'00010001      ;



